> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# उद्धृत पोस्ट्स

> किसी विशिष्ट पोस्ट के लिए उद्धृत पोस्ट्स प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

उद्धृत पोस्ट्स एंडपॉइंट आपको उन पोस्ट्स को प्राप्त करने की सुविधा देता है जो किसी विशिष्ट पोस्ट को उद्धृत करती हैं। देखें कि उपयोगकर्ता सामग्री पर कैसे टिप्पणी कर रहे हैं और उसे कैसे साझा कर रहे हैं।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="उद्धरण खोज" icon="quote-right">
    किसी पोस्ट के सभी उद्धृत पोस्ट्स प्राप्त करें
  </Card>

  <Card title="सहभागिता संबंधी जानकारी" icon="chart-line">
    देखें कि सामग्री पर कैसे चर्चा की जा रही है
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| मेथड | एंडपॉइंट                                                         | विवरण                                         |
| :--- | :--------------------------------------------------------------- | :-------------------------------------------- |
| GET  | [`/2/tweets/:id/quote_tweets`](/hi/x-api/posts/get-quoted-posts) | किसी पोस्ट के लिए उद्धृत पोस्ट्स प्राप्त करें |

***

<div id="example-request">
  ## अनुरोध का उदाहरण
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/quote_tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## रिस्पॉन्स का उदाहरण
</div>

```json theme={null}
{
  "data": [
    {
      "id": "9876543210",
      "text": "Great point! This is exactly what we need.",
      "author_id": "1111111111",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "includes": {
    "users": [
      {
        "id": "1111111111",
        "username": "example_user"
      }
    ]
  },
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्व-आवश्यकताएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप की [कीज़ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="त्वरित शुरुआत" icon="rocket" href="/hi/x-api/posts/quote-tweets/quickstart">
    किसी पोस्ट के उद्धृत पोस्ट्स प्राप्त करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/quote-tweets-lookup">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>
</CardGroup>
